using UnityEngine;
using System.Collections;

public class Reciver : MonoBehaviour {

    void Start()
    {
        //skripta se registruje kao pretplatnik menadžeru i daje mu do znanja da kada se dogadjaj desi pokreni njenu metodu ThePlayerIsTryingToLeave()

        MesssagingManager.Instance.Subscribe(ThePlayerIsTryingToLeave);
    }
    void ThePlayerIsTryingToLeave()
    {
        // uzima trenutni dialog
        var dialog = GetComponent<ConversationComponent>();

        // ako posotji dialog
        if (dialog != null)
        {
            if (dialog.Conversations != null && dialog.Conversations.Length > 0)
            {
                var conversation = dialog.Conversations[0];
                if (conversation != null)
                {
                    // pokrece razgovor
                    ConversationManager.Instance.StartConversation(conversation);
                }
            }
        }
    }
}
// Use this for initialization

	

